IF NOT EXISTS
  (SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLES.TABLE_NAME LIKE 'Person')
  CREATE TABLE dbo.Person
    (Person_id INT IDENTITY(1, 1) NOT NULL,
  ContactTitle VARCHAR(50) NOT NULL
    CONSTRAINT DF_Person_ContactTitle DEFAULT(''),
  Title VARCHAR(20) NOT NULL CONSTRAINT DF_Person_Title DEFAULT(''),
  FirstName NVARCHAR(50) NOT NULL
    CONSTRAINT DF_Person_FirstName DEFAULT(''),
  NickName NVARCHAR(50) NOT NULL
    CONSTRAINT DF_Person_NickName DEFAULT(''),
  LastName NVARCHAR(50) NOT NULL
    CONSTRAINT DF_Person_creator DEFAULT(User_Name()),
  DateOfBirth DATETIME NULL,
  insertiondate DATETIME NULL
    CONSTRAINT DF_Person_insertiondate DEFAULT(GetDate()),
  terminationdate DATETIME NULL,
  CONSTRAINT PK_dbo_Person PRIMARY KEY CLUSTERED(Person_id ASC) WITH(PAD_INDEX = OFF,
                           STATISTICS_NORECOMPUTE = OFF,
                           IGNORE_DUP_KEY = OFF,
                           ALLOW_ROW_LOCKS = ON,
                           ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]) ON [PRIMARY];
