USE Customers;

SET NOCOUNT ON;

Label1:
DECLARE @delay VARCHAR(04);

SELECT @delay = '00:0' + Convert(CHAR(1), Convert(INT, Rand() * 10));

IF Object_Id('tempdb..#names') IS NOT NULL DROP TABLE #names;

CREATE TABLE #names (name VARCHAR(80));

DECLARE @ii INT; --iteration counter

SELECT @ii = 1;

DECLARE @P1 INT = NULL;

EXEC sp_prepare @P1 OUTPUT, N'@Id INT',
  N'insert into #names (name) Select Title + '' ''+Firstname+ '' ''+Lastname 
from person where person_ID=@Id';

WHILE @ii <= 20000
  BEGIN
    SELECT @ii = @ii + 1;

    EXEC sp_execute @P1, @ii;
  END;
EXEC sp_unprepare @P1;
SELECT Count(*) FROM #names;
DROP TABLE #names;

WAITFOR DELAY @delay;

GOTO Label1;