SET NOCOUNT ON;

USE Customers;

Label1:
DECLARE @delay VARCHAR(04);

SELECT @delay = '00:0' + Convert(CHAR(1), Convert(INT, Rand() * 10));

IF Object_Id('tempdb..#names') IS NOT NULL DROP TABLE #names;

CREATE TABLE #names (name VARCHAR(80));

INSERT INTO #names(name) SELECT Title + ' ' + FirstName + ' '
                                + LastName FROM dbo.Person;

SELECT Count(*) FROM #names;

DROP TABLE #names;

WAITFOR DELAY @delay;

GOTO Label1;